Skip to main content

Pay at Counter REST API (2)

Download OpenAPI specification:Download

Documentation for the yetipay Pay at Counter REST API.

Terminals

List Terminals

Retrieves a list of all currently connected card terminals. Results can be filtered by currency and status.

Authorizations:
connectBasicAuth
query Parameters
currency
string
Enum: "GBP" "EUR"

Restricts the response to terminals configured for a specific currency.

status
string
Enum: "AVAILABLE" "BUSY"

Restricts the response to show only available or only busy terminals.

Responses

Response Schema: application/connect.v2+json
Array of objects (Terminal)
Array
currency
string
Enum: "GBP" "EUR"
location
string
status
string
Enum: "AVAILABLE" "BUSY"
tid
string
Response Schema: application/connect.v2+json
userMessage
string
Response Schema: application/connect.v2+json
userMessage
string

Response samples

Content type
application/connect.v2+json
{
  • "terminals": [
    ]
}

Get Terminal by ID

Retrieves details for a specific terminal.

Authorizations:
connectBasicAuth
path Parameters
tid
required
string

Unique identifier of the terminal to use.

Responses

Response Schema: application/connect.v2+json
currency
string
Enum: "GBP" "EUR"
location
string
status
string
Enum: "AVAILABLE" "BUSY"
tid
string
Response Schema: application/connect.v2+json
userMessage
string
Response Schema: application/connect.v2+json
userMessage
string
Response Schema: application/connect.v2+json
userMessage
string

Response samples

Content type
application/connect.v2+json
{
  • "tid": "12345678",
  • "status": "AVAILABLE",
  • "currency": "GBP",
  • "location": ""
}

Transactions

Start Transaction

Initiates a transaction on the terminal identified by the given terminal identifier.

Authorizations:
connectBasicAuth
path Parameters
tid
required
string

Unique identifier of the terminal to use.

Request Body schema: application/connect.v2+json
required
transactionType
required
string
Enum: "SALE" "REFUND" "DUPLICATE" "PRE_AUTH" "COMPLETION" "ACCOUNT_VERIFICATION"

Type of the transaction.

amount
integer [ 1 .. 99999999 ]

Accepted for all transactions except duplicates. Base amount for the transaction (in pence).

amountCashback
integer [ 0 .. 10000 ]

Only accepted for sale transactions. Amount of cashback to attempt to include in this transaction (in pence).

amountPreAuthorisedTotal
integer [ 1 .. 99999999 ]

Required for completion transactions. Should contain the sum of all pre-auth transactions performed on a customer's card.

authCode
string

Required for completion transactions. Should contain the authorization code of the first pre-auth transaction.

cardholderNotPresent
boolean

Indicates whether this transaction should be completed as CNP (e.g. manual entry of card details). If set, the PDQ will skip the present card screen and immediately prompt for manual entry.

currency
string
Enum: "GBP" "EUR"

Currency for the request. Uses the textual representation from ISO 4217.

Responses

Response Schema: application/connect.v2+json
location
string
requestId
string <uuid>
Response Schema: application/connect.v2+json
userMessage
string
Response Schema: application/connect.v2+json
userMessage
string
Response Schema: application/connect.v2+json
userMessage
string

Request samples

Content type
application/connect.v2+json
Example
{
  • "transactionType": "SALE",
  • "amount": 100,
  • "amountCashback": 50,
  • "currency": "GBP",
  • "cardholderNotPresent": true
}

Response samples

Content type
application/connect.v2+json
{
  • "requestId": "d19912ad-11a3-4af3-86e0-d6eb2ebea63c",
  • "location": ""
}

Get Transaction Status

Retrieves data for the transaction identified by the given requestId.

Authorizations:
connectBasicAuth
path Parameters
requestId
required
string

Id (a UUID assigned to a terminal request) for the request to use.

tid
required
string

Unique identifier of the terminal to use.

Responses

Response Schema: application/connect.v2+json
amountBase
string
amountCashback
string
amountGratuity
string
amountTotal
string
applicationId
string
applicationLabel
string
authCode
string
cardHolderVerificationMethod
string
cardSchemeName
string
currency
string
Enum: "GBP" "EUR"
dateOfExpiry
string
dateOfStart
string
location
string
notifications
Array of strings
paymentMethod
string
primaryAccountNumber
string
primaryAccountNumberSequence
string
object
requestId
string <uuid>
transactionId
string
transactionNumber
string
transactionResult
string
transactionTime
string
transactionType
string
Enum: "SALE" "REFUND" "DUPLICATE" "PRE_AUTH" "COMPLETION" "ACCOUNT_VERIFICATION"
userMessage
string
Response Schema: application/connect.v2+json
userMessage
string
Response Schema: application/connect.v2+json
userMessage
string
Response Schema: application/connect.v2+json
userMessage
string

Response samples

Content type
application/connect.v2+json
{
  • "amountBase": "100",
  • "amountCashback": "30",
  • "amountGratuity": "20",
  • "amountTotal": "150",
  • "applicationId": "A0000000031010",
  • "applicationLabel": "VISA",
  • "authCode": "78YT6RS0",
  • "cardSchemeName": "VISA",
  • "cardHolderVerificationMethod": "PIN",
  • "currency": "GBP",
  • "dateOfExpiry": "01/25",
  • "dateOfStart": "01/19",
  • "location": "",
  • "notifications": [
    ],
  • "paymentMethod": "ICC_CHIP",
  • "primaryAccountNumber": "************1234",
  • "primaryAccountNumberSequence": "01",
  • "receiptLines": {
    },
  • "requestId": "d19912ad-11a3-4af3-86e0-d6eb2ebea63c",
  • "transactionId": "1234567",
  • "transactionNumber": "0012",
  • "transactionResult": "SUCCESSFUL",
  • "transactionTime": "2019-03-04T16:12:00",
  • "transactionType": "SALE",
  • "userMessage": "Signature check not actioned before timeout. When required, signatures must be verified within 80 seconds."
}

Cancel Transaction

Attempts to cancel the transaction identified by the given requestId.

Authorizations:
connectBasicAuth
path Parameters
requestId
required
string

Id (a UUID assigned to a terminal request) for the request to use.

tid
required
string

Unique identifier of the terminal to use.

Responses

Response Schema: application/connect.v2+json
userMessage
string
Response Schema: application/connect.v2+json
userMessage
string
Response Schema: application/connect.v2+json
userMessage
string

Response samples

Content type
application/connect.v2+json
{
  • "userMessage": "This is an example error message. The string here should be displayed to the user."
}

Reports

Request Report

Initiates a report on the terminal identified by the given terminal identifier.

Authorizations:
connectBasicAuth
path Parameters
tid
required
string

Unique identifier of the terminal to use.

Request Body schema: application/connect.v2+json
required
reportType
required
string
Enum: "END_OF_DAY" "BANKING" "X_BALANCE" "Z_BALANCE"

The type of report.

Responses

Response Schema: application/connect.v2+json
location
string
requestId
string <uuid>
Response Schema: application/connect.v2+json
userMessage
string
Response Schema: application/connect.v2+json
userMessage
string

Request samples

Content type
application/connect.v2+json
{
  • "reportType": "END_OF_DAY"
}

Response samples

Content type
application/connect.v2+json
{
  • "requestId": "d19912ad-11a3-4af3-86e0-d6eb2ebea63c",
  • "location": ""
}

Retrieve Report

Retrieves data for the report identified by the given requestId.

Authorizations:
connectBasicAuth
path Parameters
requestId
required
string

Id (a UUID assigned to a terminal request) for the request to use.

tid
required
string

Unique identifier of the terminal to use.

Responses

Response Schema: application/connect.v2+json
object
object
location
string
notifications
Array of strings
Array of objects (ReceiptLine)
reportResult
string
reportTime
string
reportType
string
Enum: "END_OF_DAY" "BANKING" "X_BALANCE" "Z_BALANCE"
requestId
string <uuid>
tid
string
Response Schema: application/connect.v2+json
userMessage
string
Response Schema: application/connect.v2+json
userMessage
string
Response Schema: application/connect.v2+json
userMessage
string

Response samples

Content type
application/connect.v2+json
{
  • "balances": {
    },
  • "banking": {
    },
  • "reportLines": [
    ],
  • "reportTime": "2019-03-04T16:12:00",
  • "reportType": "END_OF_DAY",
  • "reportResult": "COMPLETE",
  • "tid": "string",
  • "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
  • "location": "string",
  • "notifications": [
    ]
}